[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[fedora-virt] qemu question/clarification



qemu documentation such as the man page for qemu-img says that only versions 3 
and 4 for the vmdk files are supported.  What does this mean?

If I run "strings" on a vmdk (sparse file, single image), I get some text lines 
which appear to describe the virtual disk.  One of these lines is:
   HWversion=n

If I create a VMware guest under Workstation 6.5.2 and specify Workstation 4 
compatibility, I get HWversion=3.  If I specify Workstation 6.5.2 
compatibility, then I get HWversion=7.  I assume that HWversion=4 will be true 
for Workstation 5 compatibility but I have not tested that.

Is this what is meant by "versions 3 and 4" compatibility by qemu?

I have run qemu-img to convert various vmdk files and it does not complain 
about non HWversion=3 or HWversion=4 files.  Furthermore, the converted files 
seem OK when examined by guestfish.

Gene


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]